﻿//-----------------------------------------------------------------------
// <copyright file="Form1.cs" company="AgTrax">
//     Copyright (c) AgTrax. All rights reserved.
// </copyright>
// <author>Michael Halsig</author>
//-----------------------------------------------------------------------

namespace WindowsFormsApp1
{
    using System.Windows.Forms;

    /// <summary>
    /// Test Form.
    /// </summary>
    /// <seealso cref="Form" />
    public partial class Form1 : Form
    {
        /// <summary>
        /// The currency editor text length.
        /// </summary>
        private int currencyEditorTextLength = 0;

        /// <summary>
        /// The date editor text length.
        /// </summary>
        private int dateEditorTextLength = 0;

        /// <summary>
        /// The numeric editor text length.
        /// </summary>
        private int numericEditorTextLength = 0;

        /// <summary>
        /// Initializes a new instance of the <see cref="Form1"/> class.
        /// </summary>
        public Form1()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Handles the AfterEnterEditMode event of the UltraCurrencyEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void UltraCurrencyEditor1_AfterEnterEditMode(object sender, System.EventArgs e)
        {
            this.currencyEditorTextLength = this.ultraCurrencyEditor1.Editor.TextLength;
        }

        /// <summary>
        /// Handles the Validating event of the UltraCurrencyEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.ComponentModel.CancelEventArgs"/> instance containing the event data.</param>
        private void UltraCurrencyEditor1_Validating(object sender, System.ComponentModel.CancelEventArgs e)
        {
            this.ultraCurrencyEditor1.SelectionStart = 0;
            this.ultraCurrencyEditor1.SelectionLength = this.currencyEditorTextLength;
        }

        /// <summary>
        /// Handles the AfterEnterEditMode event of the UltraDateTimeEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void UltraDateTimeEditor1_AfterEnterEditMode(object sender, System.EventArgs e)
        {
            this.dateEditorTextLength = this.ultraDateTimeEditor1.Editor.TextLength;
        }

        /// <summary>
        /// Handles the Validating event of the UltraDateTimeEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.ComponentModel.CancelEventArgs"/> instance containing the event data.</param>
        private void UltraDateTimeEditor1_Validating(object sender, System.ComponentModel.CancelEventArgs e)
        {
            this.ultraDateTimeEditor1.SelectionStart = 0;
            this.ultraDateTimeEditor1.SelectionLength = this.dateEditorTextLength;
        }

        /// <summary>
        /// Handles the AfterEnterEditMode event of the UltraNumericEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void UltraNumericEditor1_AfterEnterEditMode(object sender, System.EventArgs e)
        {
            this.numericEditorTextLength = this.ultraNumericEditor1.Editor.TextLength;

            //this.ultraNumericEditor1.SelectAll();
        }

        /// <summary>
        /// Handles the Enter event of the UltraNumericEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void UltraNumericEditor1_Enter(object sender, System.EventArgs e)
        {
            //this.ultraNumericEditor1.SelectAll();
        }

        /// <summary>
        /// Handles the Validating event of the UltraNumericEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.ComponentModel.CancelEventArgs"/> instance containing the event data.</param>
        private void UltraNumericEditor1_Validating(object sender, System.ComponentModel.CancelEventArgs e)
        {
            this.ultraNumericEditor1.SelectionStart = 0;
            this.ultraNumericEditor1.SelectionLength = this.numericEditorTextLength;
        }

        /// <summary>
        /// Handles the AfterEnterEditMode event of the UltraTextEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void UltraTextEditor1_AfterEnterEditMode(object sender, System.EventArgs e)
        {
            //this.ultraTextEditor1.SelectAll();
        }

        /// <summary>
        /// Handles the Enter event of the UltraTextEditor1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void UltraTextEditor1_Enter(object sender, System.EventArgs e)
        {
            this.ultraTextEditor1.SelectAll();
        }
    }
}